# DataExchange
TKSTEP
StepAP214

# StepAP214_RepItemGroup Class Reference

Representation of STEP entity RepItemGroup
.

`#include <StepAP214_RepItemGroup.hxx>`

Inheritance diagram for StepAP214_RepItemGroup:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_RepItemGroup ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aGroup_Name, const Standard_Boolean hasGroup_Description, const Handle(TCollection_HAsciiString)&aGroup_Description, const Handle(TCollection_HAsciiString)&aRepresentationItem_Name)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_RepresentationItem | RepresentationItem () const
| Returns data for supertype RepresentationItem .
Standard_EXPORT void | SetRepresentationItem (const Handle(StepRepr_RepresentationItem)&RepresentationItem)
| Set data for supertype RepresentationItem .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_RepresentationItem | theRepresentationItem

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_RepItemGroup::StepAP214_RepItemGroup | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_RepItemGroup::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Group.

Standard_EXPORT void StepAP214_RepItemGroup::Init | ( | const Handle(TCollection_HAsciiString)& | aGroup_Name,
|  | const Standard_Boolean | hasGroup_Description,
|  | const Handle(TCollection_HAsciiString)& | aGroup_Description,
|  | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name
| ) |

Standard_EXPORT Handle_StepRepr_RepresentationItem StepAP214_RepItemGroup::RepresentationItem | ( |  | ) | const

Standard_EXPORT void StepAP214_RepItemGroup::SetRepresentationItem | ( | const Handle(StepRepr_RepresentationItem)& | RepresentationItem | ) |

## Field Documentation

Handle_StepRepr_RepresentationItem StepAP214_RepItemGroup::theRepresentationItem `[private]`

The documentation for this class was generated from the following file:

- StepAP214_RepItemGroup.hxx